C  ******************************
C  ******************************
C  ****  UNTERPROGRAMM AUSSPA ***
C  ******************************
C  ******************************
C  DAS UNTERPROGRAMM AUSSPA DRUCKT DEN KOPF
C  UND RUFT DIE UNTERPROGRAMME ZUR
C  SPANNUNGSBERECHNUNG AUF
C******************************************
C*  LF     : BELASTUNGSFALL.              *
C******************************************
      SUBROUTINE  AUSSPA (LF)
      IMPLICIT REAL*8  (A-H,O-Z)
C
      INTEGER      FREI,ANZA
      DIMENSION  I4(3),X(3,3)
C
      COMMON /FELD/  A(110),D(6105),V(500),XKN(500)
      COMMON /REFE/  REF(10,7)
      COMMON /PAR/   KOANZ,FREI,ANZA,ETYP(2),MBAND,LELE,
     *               LREF,LRAN,KGRNR,LGS,LAD,LAV,LAX
C
      REWIND 52
C
C         DRUCKEN DES KOPFES
C
      WRITE (6,1)
   1  FORMAT (1H0,25X,'KRAEFTE,SPANNUNGEN UND MOMENTE'/,
     *            1H ,25X,30('=')/1H ,' ELEMENT   KNOTEN ')
      DO 1000  L =1,LELE
C
C         LESEN EINES ELEMENTS AUS DER DATEI '52'
      READ (52)  I1,I2,I3,(I4(M),M=1,I3)
C
C             SUCHEN DER KNOTENKOORDINATEN IM FELD XKN
C
      DO 200   M=1,I3
      NA = (I4(M)-1)*KOANZ
      DO 200 J = 1,KOANZ
      X(M,J) = XKN(NA+J)
200   CONTINUE
C
C     JE NACH ELEMENTTYP AUFRUF DES UP'S ZUR BERECHNUNG
C     DER KRAEFTE UND SPANNUNGEN.
C
400   IF(REF(I2,1).NE.4.) GOTO 900
      CALL SPA4(I1,I4,X,REF(I2,2),REF(I2,3))
      GOTO 1000
900   IF(REF(I2,1).NE.1.) GOTO 910
      CALL SPA1(I1,I4,X,REF(I2,3),REF(I2,4))
      GOTO 1000
910   IF(.NOT.(REF(I2,1).EQ.9..AND.FREI.EQ.3)) GOTO 920
      CALL SPA92(I1,I4,X,REF(I2,2),REF(I2,3),REF(I2,4))
      GOTO 1000
920   IF(.NOT.(REF(I2,1).EQ.9..AND.FREI.EQ.6)) GOTO 930
      CALL SPA93(I1,I4,X,L,REF(I2,2),REF(I2,3),REF(I2,4),
     *             REF(I2,5),REF(I2,6),REF(I2,7))
      GOTO 1000
930   WRITE (6,2) REF(I2,1)
2     FORMAT (1H0,'ELEMENTTYP ',F5.2,' NICHT VORHANDEN')
      STOP
C
1000  CONTINUE
      RETURN
      END
