C  ********************************
C  ********************************
C  ***  UNTERPROGRAMM BELA   ******
C  ********************************
C  ********************************
C  DAS UNTERPROGRAMM BELA BAUT DEN BELASTUNGSVEKTOR
C  DER GESAMTSTEIFIGKEITSBEZIEHUNG AUF
C****************************************************
C*    LF    : BELASTUNGSFALL.                       *
C*    NSOLL : WURDE IM UP EINGAB AUF 1 GESETZT, WENN*
C*            SOLLSCHIEBUNGEN UNGLEICH 0 AUFTRETEN. *
C*    NZEI  : ZEILENNUMMER DER RECHTSMATRIX         *
C*    BEL   : BELASTUNGSVEKTOR                      *
C****************************************************
      SUBROUTINE  BELA1 (LF,NBE,NSOLL)
      IMPLICIT REAL*8  (A-H,O-Z)
      INTEGER      FREI,ANZA
C
      COMMON /FELD/  A(110),D(6105),BEL(500),XKN(500)
      COMMON /BELA/  KNBE(70),NULA(70),BELAST(70,6)
      COMMON /RAND/  KNRA(50),RV(50,6),AUFL(50,6)
      COMMON /PAR/   KOANZ,FREI,ANZA,ETYP(2),MBAND,LELE,
     *               LREF,LRAN,KGRNR,LGS,LAD,LAV,LAX
      COMMON /CHAR/  NAME(6) , NARA(50,6)
C
      CHARACTER*2 NAME, NARA
C
C         FELD BEL IM BENOETIGTEN BEREICH AUF 0 SETZEN
C
      DO 100  I=1,LGS
100   BEL(I)=0.
C
      DO 600 J=1,NBE
C
C         SUCHEN DER BELASTUNGEN ZUM BELASTUNGSFALL LF
C
      IF (NULA(J).NE.LF)  GOTO 600
      DO 500  I=1,FREI
C
C         ERMITTELN DER ZEILEN DER MATRIX R, DIE ZU DEM
C         LASTKNOTEN GEHOERT
C
      NZEI=(KNBE(J)-1)*FREI+I
C
C         EINTRAGEN DER BELASTUNG IN DIE ENTSPRECHENDE
C         KOMPONENTE DES VEKTORS BEL
C
      BEL(NZEI) = BEL(NZEI) + BELAST(J,I)
500   CONTINUE
600   CONTINUE
C
C        RANDBEDINGUNGEN UNGLEICH 0 UND KRAEFTE
C        IN AUFLAGERN BERABEITEN
C
      DO 4000  I=1,LRAN
      DO 4000  J=1,FREI
      DO 4000  K=1,FREI
      IF (NARA(I,J).NE.NAME(K))  GOTO 4000
      NZEI = (KNRA(I) - 1)*FREI + K
C 
C        IN AUFLAGERN WIRKENDE KRAEFTE RETTEN
C
      AUFL(I,J) = BEL(NZEI)
      IF (NSOLL .EQ. 0) GOTO 4000
C
C     AUFADDIEREN DES WERTES 'SOLLVERSCHIEBUNG*1E30'
C     IN DIE ENTSPRECHENDE KOMPONENTE DES VEKTORS BEL
C
      BEL(NZEI) = BEL(NZEI) + RV(I,J)*1D30
4000  CONTINUE
C
      RETURN
      END
